#
# spec file for package python-schedule
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-schedule
Version:        0.6.0
Release:        lp151.1.1
Summary:        Job scheduling module for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/dbader/schedule
Source:         https://files.pythonhosted.org/packages/source/s/schedule/schedule-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module mock}
# /SECTION
BuildArch:      noarch

%python_subpackages

%description
An in-process scheduler for periodic jobs that uses the builder
pattern for configuration. Schedule lets the user run Python functions
(or any other callable) periodically at pre-determined intervals.

%prep
%setup -q -n schedule-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Mar 26 2019 pgajdos@suse.com
- version update to 0.6.0
  * Make at() accept timestamps with 1 second precision (#267).
  * Introduce proper exception hierarchy (#271).
* Tue Dec 18 2018 Jan Engelhardt <jengelh@inai.de>
- Replace filler wording from description.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May 16 2018 toddrme2178@gmail.com
- Update to version 0.5.0
  * Keep partially scheduled jobs from breaking the scheduler (#125)
  * Add support for random intervals (Thanks @grampajoe and @gilbsgilbs)
- Update to version 0.4.3
  * Improve docs & clean up docstrings
- Update to version 0.4.2
  * Publish to PyPI as a universal (py2/py3) wheel
- Update to version 0.4.0
  * Add proper HTML (Sphinx) docs available at https://schedule.readthedocs.io/
  * CI builds now run against Python 2.7 and 3.5 (3.3 and 3.4 should work fine but are untested)
  * Fixed an issue with ``run_all()`` and having more than one job that deletes itself in the same iteration. Thanks @alaingilbert.
  * Add ability to tag jobs and to cancel jobs by tag. Thanks @Zerrossetto.
  * Improve schedule docs. Thanks @Zerrossetto.
  * Additional docs fixes by @fkromer and @yetingsky.
- Implement single-spec version
* Tue Jan 19 2016 hpj@urpla.net
- reduce log level from info to debug
* Tue Jan 19 2016 hpj@urpla.net
- version 0.3.2: initial build
